---
title: Get run summary
url: https://www.tines.com/docs/api/stories/story-run/get-run-summary/
updated: 2026-06-29T08:34:34+00:00
description: Retrieve metadata for a specific story run.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Story runs](https://www.tines.com/llm/docs/api/stories/story-run.md)*

# Get run summary

*[View on tines.com](https://www.tines.com/docs/api/stories/story-run/get-run-summary/)*

## Description

Retrieve metadata for a specific story run.

## Request

HTTP Method: **GET**

| Path Parameter | Description                |
| -------------- | -------------------------- |
| story_id       | The ID of the story.       |
| story_run_guid | The guid of the story run. |

| Query Parameter | Description                                                                                                                         |
| --------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| story_mode      | **Optional** The mode of the story.                                                                                                 |
| draft_id        | **Optional** Return the run for a specific draft. [About drafts](https://www.tines.com/docs/stories/change-control/#api-endpoints). |

```bash
curl -X GET \
 https://<tenant-domain>/api/v1/stories/<<story_id>>/runs/<<story_run_guid>>/summary \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object describing the story run.

### Field description

| Parameter    | Description                             |
| ------------ | --------------------------------------- |
| guid         | Guid of the story run.                  |
| duration     | Duration of the story run.              |
| story_id     | ID of the story.                        |
| start_time   | The time the story run started.         |
| end_time     | The time the story run ended.           |
| action_count | Number of actions in the run.           |
| event_count  | Number of events in the run.            |
| story_mode   | The mode of the story `LIVE` or `TEST`. |
| draft_id     | ID of the selected draft.               |
| draft_name   | Name of the selected draft.             |

<!-- cspell:disable -->

### Sample response

```json
{
  "story_run": {
    "guid": "5466f325-0bc6-47fb-943f-41d1a2a8d6ae",
    "duration": 0,
    "story_id": 155,
    "start_time": "2023-12-13T16:19:50Z",
    "end_time": "2023-12-13T16:19:50Z",
    "action_count": 5,
    "event_count": 5,
    "story_mode": "LIVE"
  }
}
```

<!-- cspell:enable -->
